<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Account List ";
$file = "account_print.php";
$mgrpcode = '030';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);


$name = $_POST['name'];
$namecond = " ";

if (!empty($name)) {
    $namecond = "AND `accode` = '$name'";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where `accode`!='' AND grpcode='$mgrpcode' $namecond") or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">

            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            echo "<tr class='clickable-row2' style='height:19px' data-href='account.php?accode=$pmain[accode]&mode=edit' data-target='_blank'>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?php
}

if (isset($_POST["excel"])) {

    $contents .= "Sr.,Name\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= $ctr . ",";
        $contents .= $pmain['name'] . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
// if (isset($_POST["subpdf"])) {
//      $name = $_POST['name'];
//     $namecond = " ";

//     if(!empty($name)){
//         $namecond = "AND `accode` = '$name'";
//     }
//     $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where name!='' $namecond")or die(mysqli_error($conn));

//     require("library/fpdf/fpdf.php");

//     class pdf extends fpdf {

//         function footer() {
//             $this->SetY(-15);
//             $this->SetFont('Arial', 'I', 8);
//             $this->Cell(0, 10, 'Page' . $this->PageNo() . '/{nb}', 0, 0, 'C');
//         }

//     }

//     $pdf = new pdf('P', 'mm', 'A4');

//     $pdf->AliasNbPages();
//     $pdf->AddPage();
//     $pdf->SetFont('Arial', 'I', 10);
//     $pdf->SetTextColor(255, 255, 255);
//     $pdf->SetFillColor(96, 130, 191);
//     $pdf->Cell(10, 7, 'Sr', 1, 0, '', 1);
//     $pdf->Cell(180, 7, 'Name', 1, 0, '', 1);
//     $pdf->SetFont('Arial', '', 1, 0);

//     $pdf->SetTextColor(0, 0, 0);
//     $pdf->Ln();
//     $ctr = 1;
//     while ($pmain = mysqli_fetch_array($getpmain)) {


//         $pdf->SetFont('Arial', '', 8);
//         $pdf->Cell(10, 7, "$ctr", 1, 'C');
//         $pdf->Cell(180, 7, "$pmain[name]", 1);
//         $ctr++;
//         $pdf->Ln();
//     }
//     $pdf->output("Expense.pdf", "D");
// }
?>